import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["name", "size", "className", "backgroundColor"];
import cx from 'classnames';
import PropTypes from 'prop-types';
import useBackgroundColor from '../useBackgroundColor.js';
import { BASE_CLASS_NAME } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var MoleculeAvatarFallbackName = function MoleculeAvatarFallbackName(_ref) {
  var nameProp = _ref.name,
    size = _ref.size,
    classNameProp = _ref.className,
    backgroundColorProp = _ref.backgroundColor,
    others = _objectWithoutPropertiesLoose(_ref, _excluded);
  var className = cx(BASE_CLASS_NAME, classNameProp, BASE_CLASS_NAME + "--" + size);
  var _nameProp$split = nameProp.split(' '),
    firstName = _nameProp$split[0],
    lastName = _nameProp$split[1];
  var name = firstName && lastName ? "" + firstName.charAt(0) + lastName.charAt(0) : firstName.charAt(0);
  var backgroundColor = useBackgroundColor({
    name: nameProp,
    backgroundColor: backgroundColorProp
  });
  return /*#__PURE__*/_jsx("div", _extends({
    className: className,
    "aria-label": nameProp,
    style: {
      backgroundColor: backgroundColor
    }
  }, others, {
    children: name
  }));
};
MoleculeAvatarFallbackName.displayName = 'MoleculeAvatarFallbackName';
export default MoleculeAvatarFallbackName;