import { useMemo } from 'react';
var convertStringToHex = function convertStringToHex(str) {
  var hash = 0;
  if (str.length === 0) {
    return;
  }
  for (var i = 0; i < str.length; i++) {
    hash = str.charCodeAt(i) + ((hash << 5) - hash);
    hash = hash & hash;
  }
  var color = '#';
  for (var j = 0; j < 3; j++) {
    var value = hash >> j * 8 & 255;
    color += ('00' + value.toString(16)).substr(-2);
  }
  return color;
};
var useBackgroundColor = function useBackgroundColor(_ref) {
  var name = _ref.name,
    backgroundColor = _ref.backgroundColor;
  return useMemo(function () {
    if (backgroundColor) return backgroundColor;
    return name ? convertStringToHex(name) : undefined;
  }, [name, backgroundColor]);
};
export default useBackgroundColor;